#
# spec file for package dviutils (Version 94.3.19)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         dviutils
Copyright:    1987, 1989 University of Maryland
Group:        Applications/Publishing/TeX
Provides:     Dviutils 
Requires:     tetex
Autoreqprov:  on
Version:      94.3.19
Release:      396
Summary:      Tools for working on DVI files
Source: Dviutils.tar.gz
Patch: Dviutils.dif

%description
This package contains some utilities for manipulating DVI documents.
Page selection and rearrangement are supported, including arrangement into
signatures for booklet printing, and page merging for n-up printing.
dvibook       rearranges pages into book signatures, adds blank pages
as needed
dviselect     selects pages and page ranges
dvitodvi      performs general page rearrangement of selected pages
dviconcat     concatenation of DVI files
Included you will find three simple scripts for scaling DIN A4 pages
and rearranging two by two onto a DIN A4 page (a4toa5).
But the number of pages must be even (which can be done by
odd2even or dvibook).

Authors:
--------
    Chris Torek (University of Maryland)
    Angus Duggan

SuSE series: tex

%prep
%setup -n Dviutils
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi

%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 

%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi

%files
%doc README
%dir /usr/include/libtex
/usr/bin/a4toa5
/usr/bin/dvibook
/usr/bin/dviconcat
/usr/bin/dviselect
/usr/bin/dvitodvi
/usr/bin/mydvichk
/usr/bin/odd2even
/usr/include/libtex/conv.h
/usr/include/libtex/convstruct.h
/usr/include/libtex/dviclass.h
/usr/include/libtex/dvicodes.h
/usr/include/libtex/dvistate.h
/usr/include/libtex/dvistuff.h
/usr/include/libtex/error.h
/usr/include/libtex/fio.h
/usr/include/libtex/font.h
/usr/include/libtex/gfclass.h
/usr/include/libtex/gfcodes.h
/usr/include/libtex/gripes.h
/usr/include/libtex/num.h
/usr/include/libtex/postamble.h
/usr/include/libtex/sdecode.h
/usr/include/libtex/search.h
/usr/include/libtex/seek.h
/usr/include/libtex/tfm.h
/usr/include/libtex/types.h
/usr/lib/libtex.a
%doc /usr/share/man/man1/dvibook.1.gz
%doc /usr/share/man/man1/dviconcat.1.gz
%doc /usr/share/man/man1/dviselect.1.gz
%doc /usr/share/man/man1/dvitodvi.1.gz

%changelog -n dviutils
* Thu Mar 08 2001 - werner@suse.de
- X environment is required during build
* Fri May 26 2000 - kukuk@suse.de
- Use %%doc macro
* Fri Feb 18 2000 - werner@suse.de
- Make output page smaller of a4toa5 for HP DeskJets
- Change manpath to /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Apr 22 1999 - ro@suse.de
- define __need___va_list
* Mon Feb 15 1999 - ro@suse.de
- no m486 on alpha
* Sat Sep 19 1998 - ro@suse.de
- libtex/error.c : dont redeclare sys_errlist for glibc
